import { Axios, AxiosPromise } from "axios";
import request from "../request";
import { openApiRes } from "./type";
export default {
    openApiGanZhiList(params: {
        color?: string
        five?: string
        name: string

    }): AxiosPromise<openApiRes.openApiGanZhiGet8ziByDate> {
        return request({
            params,
            method: 'GET',
            url: "/open-api/gan/zhi/list",

        })
    },
    openApiGanZhiGet8ziByDate(params: {
        birthday: string,
        isSave: number,
        sex: number,
        username: string


    }): AxiosPromise<openApiRes.openApiGanZhiGet8ziByDate> {
        return request({
            params,
            method: 'GET',
            url: "/open-api/gan/zhi/get8ziByDate",

        })
    },

    openApiBirthdayLog(data: {
        "birthday": string,
        "isPay"?: number,
        "name": string,
        "sex": number,
    }):AxiosPromise<openApiRes.openApiBirthdayLog> {
        return request({
            data,
            method: 'post',
            url: "/student/birthday/log",

        })
    },
    //获取key
    openApiSystemDictDataConfigKey(key:string):AxiosPromise<{
        data:string
    }>{

        return request({   
            method: 'GET',
            url: "/open-api/system/dict/data/configKey/"+key,

        })
    }
}

